#ifdef HDECAYMODE

#ifndef HDECAYWRAP_H
#define HDECAYWRAP_H

#include <fstream>
#include <iostream>
#include <cmath>
#include <iomanip>
#include <map>
#include <string>


extern "C" { void  hdecaycall_(double & ABRB_out,double & ABRL_out,double & ABRM_out,double & ABRS_out,double & ABRC_out,double & ABRT_out,double & ABRG_out,double & ABRGA_out,double &  ABRZGA_out,double & ABRZ_out,double & AWDTH_out,double & HLBRB_out,double & HLBRL_out,double & HLBRM_out,double & HLBRS_out,double & HLBRC_out,double & HLBRT_out,double & HLBRG_out,double & HLBRGA_out,double & HLBRZGA_out,double & HLBRW_out,double & HLBRZ_out,double & HLBRA_out,double & HLBRAZ_out,double & HLBRHW_out,double & HLWDTH_out,double & HHBRB_out,double & HHBRL_out,double & HHBRM_out,double & HHBRS_out,double & HHBRC_out,double & HHBRT_out,double & HHBRG_out,double & HHBRGA_out,double & HHBRZGA_out,double & HHBRW_out,double & HHBRZ_out,double & HHBRH_out,double & HHBRA_out,double & HHBRAZ_out,double & HHBRHW_out,double & HHWDTH_out,double & HCBRB_out,double & HCBRL_out,double & HCBRM_out,double & HCBRBU_out,double & HCBRS_out,double & HCBRC_out,double & HCBRT_out,double & HCBRW_out,double & HCBRA_out,double & HCWDTH_out, double & hcbrcd_out,double & hcbrts_out,double & hcbrtd,double & hcbrwhh_out,double & hhbrchch_out,double & hlbrchch_out,double & abrhhaz_out,double & abrhawphm_out);}
extern "C" { void  hdecaycallplain_(double & );}
//hdecaycall_(double & totalwidth);}

void CreateInputFileHdecay2HDM(int Type, double tanbeta,double alpha, double mHlight,double mHheavy, double mA, double mCharged,double m12sq);
void HdecayCalc2HDM(std::map<std::string,double> & HdecayA,std::map<std::string,double> & HdecayHlight,std::map<std::string,double> & HdecayHheavy,std::map<std::string,double> & HdecayHcharged);

void HdecayCalc(void);

#endif

#endif
