#ifndef SCANNERSINTERFACE_H
#define SCANNERSINTERFACE_H
#include "ScannerSModelclasses.h"
#include <istream>
#include <ostream>
#include <iostream>
#include <vector>
#include <fstream>

std::string ReturnOption(int argc, char ** & argv, std::string option);
void RedirectOstream(std::ostream & os,std::ofstream & ofsredir,std::streambuf * obuff,int argc, char ** & argv,std::string & filename, std::string option);
void RedirectInfostream(std::ostream & os,std::ofstream & ofsredir,std::streambuf * obuff,int argc, char ** & argv,std::string & filename, std::string option);
void OpenInputFile(std::ifstream & instream,int argc, char ** & argv, std::string & inputfile,std::string option);
void CheckHelpNeeded(int argc, char ** & argv);

bool fileExists(const char *fileName); //Defined in ScannerSAnalysisUtils.cpp

#endif
